@if (boughtItem) {
  <form name="deleteForm" (ngSubmit)="confirmDelete(boughtItem.id!)">
    <div class="modal-header">
      <h4 class="modal-title" data-cy="boughtItemDeleteDialogHeading" jhiTranslate="entity.delete.title">Löschen bestätigen</h4>
    </div>

    <div class="modal-body">
      <jhi-alert-error></jhi-alert-error>
      <p
        id="jhi-delete-boughtItem-heading"
        jhiTranslate="realTimeBeveragesApp.boughtItem.delete.question"
        [translateValues]="{ id: boughtItem.id }"
      >
        Soll Bought Item {{ boughtItem.id }} wirklich dauerhaft gelöscht werden?
      </p>
    </div>

    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="cancel()">
        <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Abbrechen</span>
      </button>

      <button id="jhi-confirm-delete-boughtItem" data-cy="entityConfirmDeleteButton" type="submit" class="btn btn-danger">
        <fa-icon icon="times"></fa-icon>&nbsp;<span jhiTranslate="entity.action.delete">Löschen</span>
      </button>
    </div>
  </form>
}
